# Class BorderUIResource.CompoundBorderUIResource

java.lang.Object
javax.swing.border.AbstractBorder
javax.swing.border.CompoundBorder
javax.swing.plaf.BorderUIResource.CompoundBorderUIResource

All Implemented Interfaces:
  `Serializable, Border, UIResource`

Enclosing class:
  `BorderUIResource`

public static class BorderUIResource.CompoundBorderUIResource extends CompoundBorder implements UIResource
A compound border UI resource.

## Field Summary

### Fields declared in class CompoundBorder

`insideBorder, outsideBorder`
Modifier and Type
Field
Description
`protected Border`
`insideBorder`
The inside border.
`protected Border`
`outsideBorder`
The outside border.

## Constructor Summary

Constructors
Constructor
Description
`CompoundBorderUIResource(Border outsideBorder, Border insideBorder)`
Constructs a `CompoundBorderUIResource`.

## Method Summary

### Methods declared in class CompoundBorder

`getBorderInsets, getInsideBorder, getOutsideBorder, isBorderOpaque, paintBorder`
Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c, Insets insets)`
Reinitialize the insets parameter with this Border's current Insets.
`Border`
`getInsideBorder()`
Returns the inside border object.
`Border`
`getOutsideBorder()`
Returns the outside border object.
`boolean`
`isBorderOpaque()`
Returns whether or not the compound border is opaque.
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`
Paints the compound border by painting the outside border with the specified position and size and then painting the inside border at the specified position and size offset by the insets of the outside border.

### Methods declared in class AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`
Modifier and Type
Method
Description
`int`
`getBaseline(Component c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(Component c)`
Returns an enum indicating how the baseline of a component changes as the size changes.
`Insets`
`getBorderInsets(Component c)`
This default implementation returns a new `Insets` object that is initialized by the `AbstractBorder.getBorderInsets(Component,Insets)` method.
`Rectangle`
`getInteriorRectangle(Component c, int x, int y, int width, int height)`
This convenience method calls the static method.
`static Rectangle`
`getInteriorRectangle(Component c, Border b, int x, int y, int width, int height)`
Returns a rectangle using the arguments minus the insets of the border.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### CompoundBorderUIResource

@ConstructorProperties({"outsideBorder","insideBorder"}) public CompoundBorderUIResource(Border outsideBorder, Border insideBorder)
Constructs a `CompoundBorderUIResource`.

Parameters:
  `outsideBorder` - the outside border
  `insideBorder` - the inside border